/*
 * GroupTransform.fx
 *
 * Created on 26.06.2009, 16:45:22
 */

package uebung8;

import javafx.scene.Scene;
import javafx.scene.shape.Circle;
import javafx.scene.paint.Color;
import javafx.scene.shape.Rectangle;
import javafx.stage.Stage;
import javafx.scene.layout.Tile;

/**
 * @author Alexander De Luca
 */

Stage {
    title: "Tile Layout"
    width: 200
    height: 200
    
    scene: Scene {
        content: [
            Tile {
                 vertical: true
                 rows: 2
                 content: [
                      Circle {
                            radius: 20
                            fill: Color.MAGENTA, stroke: Color.BLACK
                            strokeWidth: 2
                        }
                       Rectangle {
                             width: 50, height: 50, fill: Color.BLUE
                             stroke: Color.BLACK, strokeWidth: 2
                        }
                        Rectangle {
                             width: 50, height: 50, fill: Color.RED
                             stroke: Color.BLACK, strokeWidth: 2
                        }
                        Rectangle {
                             width: 50, height: 50, fill: Color.GREEN
                             stroke: Color.BLACK, strokeWidth: 2
                        }
                 ]
             } // Flow
         ]
     }
 }