/*
 * Transform.fx
 *
 * Created on 28.06.2009, 13:47:03
 */

package uebung8;

import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.shape.Rectangle;
import javafx.scene.paint.Color;
import javafx.scene.transform.Transform;


/**
 * @author Alexander De Luca
 */


 Stage {
     title : "Transformations"
     scene: Scene {
         width: 400
         height: 400
         content: [
             Rectangle {
                 x: 0, y: 0
                 width: 100, height: 100
                 fill: Color.BLUE
                 stroke: Color.BLACK
                 transforms: [
                     Transform.translate(100,100),
                     Transform.rotate(90, 0, 0)
                 ]
             } //Rectangle

         ]
     } // Scene
 } // Stage

